%======================================================================
%                    S E T _ C A S T _ P A R A M S . M 
%                    doc: Mon Apr 20 09:03:09 2015
%                    dlm: Fri Sep 13 10:50:24 2019
%                    (c) 2015 A.M. Thurnherr
%                    uE-Info: 16 0 NIL 0 0 72 2 2 4 NIL ofnI
%======================================================================

% 26:28 32:33 35:36 41 

% for s = [1:30 32:43 45:55]

close all; figure(100);
more off;

processing_version = 1;									% BT & GPS 
%processing_version = 2;									% BT & GPS; not IMPed; NOT UP-TO_DATE!!!
%processing_version = 3;									% BT & GPS; WHM150 for BT only 
%processing_version = 4;									% BT & GPS; WHM150 for BT only; not IMPed
%processing_version = 5;										% ARCHIVED VERSION: all constraints; WHM150 for BT only

final_version = 5;

f.res         = sprintf('V%d/%03d',processing_version,stn);
f.checkpoints = sprintf('checkpoints/%03d',stn);

if (processing_version == 2 || processing_version == 4 || stn < 10)	% no IMP
	f.ladcpdo = sprintf('../Data/PD0/%03dDL.000',stn);
	f.ladcpup = sprintf('../Data/PD0/%03dUL.000',stn);
else														% with IMP
	if (stn == 36)											% 36 DL PD0 file has embedded garbage and cannot be patched
		f.ladcpdo = sprintf('../Data/PD0/%03dDL.000',stn);
	else
		f.ladcpdo = sprintf('../Data/PD0/%03dDL.100',stn);
	end
	f.ladcpup = sprintf('../Data/PD0/%03dUL.100',stn);
end

f.sadcp = '../Data/SADCP/I6S_SADCP.mat';

f.ctd = sprintf('../Data/CTD/%03d.1Hz',stn);
    f.ctd_header_lines      = 55;
    f.ctd_fields_per_line   = 12;
    f.ctd_pressure_field    = 2;
    f.ctd_temperature_field = 3;
    f.ctd_salinity_field    = 6;
    f.ctd_time_field        = 1;
    f.ctd_time_base         = 0;

f.nav = f.ctd;              
    f.nav_header_lines      = f.ctd_header_lines;
    f.nav_fields_per_line   = f.ctd_fields_per_line;
    f.nav_time_field        = f.ctd_time_field;
    f.nav_lat_field         = 11;
    f.nav_lon_field         = 12;
    f.nav_time_base         = f.ctd_time_base;    
    
%----------------------------------------------------------------------

ps.fig3_colormap 	= 1;					% defaults
ps.fig3_err_y_axis 	= 1;
ps.sadcpfac			= 1;
ps.botfac			= 1;
ps.barofac			= 1;
p.saveplot	        = [1:6 9:11 12:14 1];	% first plot is sometimes not 01 (Matlab bug)
p.ctdmaxlag 		= 150;
p.getdepth 			= 2;
p.btrk_mode 		= 2;
p.btrk_ts 			= 10;

if stn == 31								% almost full hour missing at beginning of LADCP files
	p.ctdmaxlag = 200;
end

if processing_version ~= final_version		% disable SADCP constraint for QC
	ps.sadcpfac 	= 0;	
else										% final proessing
	p.saveplot_pdf = [1:6 9:11 13:14 1];
	p.saveplot = [];
end

if processing_version>2 && stn<35			% discard all WHM150 water track velocities
	p.edit_mask_dn_bins = [1:30];
end

p.ladcp_station     = stn;
p.checkpoints       = [1]; 

p.cruise_id         = 'I6S';
p.whoami            = 'A.M. Thurnherr';
p.name              = sprintf('%s station #%d (V%d)',p.cruise_id,p.ladcp_station,processing_version);
